Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# poptOption Struct Reference
[POPT.]

`#include <popt.h>`

## Data Fields
const char * | longName
char | shortName
int | argInfo
void * | arg
int | val
const char * | descrip
const char * | argDescrip

## Field Documentation

void* poptOption::arg

| depends on argInfo Definition at line 118 of file popt.h. Referenced by findOption(), getTableTranslationDomain(), invokeCallbacksOPTION(), itemUsage(), poptAddAlias(), poptAddItem(), poptGetNextOpt(), singleOptionDefaultValue(), singleTableHelp(), and singleTableUsage().

const char* poptOption::argDescrip

| argument description for autohelp Definition at line 121 of file popt.h. Referenced by configLine(), poptAddAlias(), poptAddItem(), and poptFreeContext().

int poptOption::argInfo

| Definition at line 117 of file popt.h. Referenced by configLine(), findOption(), getTableTranslationDomain(), invokeCallbacksOPTION(), itemHelp(), itemUsage(), poptAddAlias(), poptAddItem(), poptGetNextOpt(), and singleTableHelp().

const char* poptOption::descrip

| description for autohelp -- may be NULL Definition at line 120 of file popt.h. Referenced by configLine(), findOption(), invokeCallbacksOPTION(), poptAddAlias(), poptAddItem(), poptFreeContext(), and singleTableHelp().

const char* poptOption::longName

| may be NULL Definition at line 115 of file popt.h. Referenced by configLine(), getTableTranslationDomain(), handleAlias(), handleExec(), itemHelp(), itemUsage(), poptAddAlias(), poptAddItem(), poptFreeContext(), poptGetNextOpt(), and singleTableHelp().

char poptOption::shortName

| may be '' Definition at line 116 of file popt.h. Referenced by configLine(), getTableTranslationDomain(), handleAlias(), handleExec(), itemHelp(), itemUsage(), poptAddAlias(), poptAddItem(), poptGetNextOpt(), showShortOptions(), and singleTableHelp().

int poptOption::val

| 0 means don't return, just update flag Definition at line 119 of file popt.h. Referenced by poptAddAlias(), poptAddItem(), poptGetNextOpt(), and singleOptionHelp().

The documentation for this struct was generated from the following file:

- popt/popt.h